Subject: bug#848: doc for recenter, redisplay

From: "Drew Adams" <[email-masked]>
Date: Mon, 1 Sep 2008 00:26:38 -0700

I notice that `recenter' has the effect of calling (redisplay t); that
is, it seems to force a redisplay. I don't see this mentioned
anywhere. It might be helpful to mention it. We might want to mention
it in the Elisp manual node Textual Scrolling, where `recenter' is
covered, and also in node Forcing Redisplay, where redisplay is
covered (with an xref to Textual Scrolling).
 
Users who want to both recenter and redisplay might want to know
that `recenter' alone suffices.
 
Users who do not want to force a redisplay might want to know that
`recenter' does that.

In GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600)
 of 2008-03-26 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'